<?php
	profile :: is_user(true);
	$thisLink = "/".$thisPage;
	admin :: access(array('a'=>3,'m'=>1));
	if(isset($_GET['act'])) {
		$act = system :: check($_GET['act']);
		if($act == "user/info") { require(".inc/user_info.php"); }										// Информация о юзере.
		if($act == "user/level") { require(".inc/user_level.php"); }
		if($act == "user/function") { require(".inc/user_function.php"); }
		if($act == "user/block") { require(".inc/user_block.php"); }	
		if($act == "user/blocklist") { require(".inc/user_blocklist.php"); }	
		if($act == "user/edit") { require(".inc/user_edit.php"); }
		if($act == "site/config") { require(".inc/site_config.php"); }
		if($act == "me") { require(".inc/me.php"); }
		if($act == "site/core") { require(".inc/about.php"); }
                if($act == "news") { require(".inc/news.php"); }
 if($act == "admin_list") { require(".inc/admin_list.php"); }
	}
        $title = $l = 'Админка';
	$lBack = profile :: getLink($user);
	
	if($act == "site") {$title = $l = $l." - Управление сайтом";}
	if($act == "me") {$title = $l = $l." - Моё меню";}
	require (CORE."head.php");

	echo "<div class=\"app-block\">";
	?>
	<div class="list _bg-blue ">
		<div class="post-l emotion-show" data-emotions="<?=system::textOut($user['emotions'])?>">
			<?=profile :: userAvatar($user,0)?>
		</div>
		<div class="post-c">
			<div><span class="_name"><?=profile :: getFullName($user, true)?></span></div>
			<div><span class="_gray">Последнее посещение:</span> <?=system :: times($user['last_time'])." ".( $user['set_online_hide'] != 0 ? "<span class=\"_bold\">(режим оффлайна)</span>" : '' )?></div>
		</div>

			

	</div>
	<?php

	$back = system :: back("{$thisLink}", "Панель управления");;

	if($act == "site") {
		echo 
			system :: touch("{$thisLink}?act=site/config","Конфигурация").
			system :: touch("/gifts?admin","Управление подарками").
            system :: touch("{$thisLink}?act=news","Управление новостями").
            	system :: touch("/stickers?tab=admin","Управление стикерами").
			$back;
	} else if($act == "me") {
		echo 
			system :: touch("{$thisLink}?act=me&amp;set=mode/offline&amp;access={ACCESS}", ( $user['set_online_hide'] != 0 ? "Вы" : "В" )."ключить режим оффлайна").
			$back;
	} else {
		echo 
			system :: touch("{$thisLink}?act=me", "Моё меню").
			system :: touch("{$thisLink}?act=site","Управление сайтом").
system :: touch("{$thisLink}?act=admin_list","Список администрации").
system :: touch("{$thisLink}?act=site/core","Информация о движке");
	}
	
	echo "</div>";
	require (CORE."foot.php");